chiark / gitweb /
Turn off debug for wrong tree test
authorIan Jackson <ijackson@chiark.greenend.org.uk>
Sun, 3 Aug 2014 17:03:47 +0000 (18:03 +0100)
committerIan Jackson <ijackson@chiark.greenend.org.uk>
Sun, 3 Aug 2014 17:03:47 +0000 (18:03 +0100)
tests/lib
tests/tests/push-newpackage

index f6f4e2944eea6a50b1b06f860741801b2de57435..bba49a3f11e8d0dc92adcc3cbfcd1bfea0949e77 100644 (file)
--- a/tests/lib
+++ b/tests/lib
@@ -99,7 +99,8 @@ t-dgit () {
 
 {{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{{'
        ${DGIT_TEST-dgit} --dget:-u --dput:--config=$tmp/dput.cf \
-               -dtest-dummy $DGIT_TEST_OPTS -D -k39B13D8A "$@"
+               -dtest-dummy $DGIT_TEST_OPTS ${DGIT_TEST_DEBUG--D} \
+               -k39B13D8A "$@"
        : '}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
 '
 }
index 030507f15a6ca171298441c8c938ae5fb3a6a9ca..9954b3fc9fb424cc9a763fc795bced4743812210 100755 (executable)
@@ -22,7 +22,7 @@ t-dgit build
 git checkout bogus
 
 set +e
-(set -e; t-dgit push --new)
+(set -e; DGIT_TEST_DEBUG=' ' t-dgit push --new)
 rc=$?
 set -e
 if [ $rc = 0 ]; then fail "push succeeded when tree mismatch"; fi